New issue

Have a question about this project? Sign up for a free GitHub account to open an issue and contact its maintainers and the community.

By clicking “Sign up for GitHub”, you agree to our terms of service and privacy statement. We’ll occasionally send you account related emails.

Already on GitHub? Sign in to your account

Remove 3.14.79 kernels from securedrop-grsec metapackage #3643

Closed
emkll opened this Issue Jul 16, 2018 · 1 comment

Comments

2 participants
@emkll
Copy link
Contributor

emkll commented Jul 16, 2018

Description

securedrop-grsec metapackage still pulls in 3.14.79-grsec kernel packages. We should remove these kernels from the dependencies.
https://github.com/freedomofpress/securedrop/blob/develop/install_files/ansible-base/group_vars/all/securedrop#L56

User Stories

As an admin, I don't want to have old and unnecessary packages on my system
As an admin, I don't want installs to take a long time when downloading dependencies

@emkll emkll referenced this issue Oct 9, 2018

Merged

Always force the use latest kernel by default #3857

2 of 5 tasks complete

@redshiftzero redshiftzero added this to the 0.11.0 milestone Oct 26, 2018

@eloquence eloquence added this to Near Term Backlog in SecureDrop Team Board Nov 16, 2018

@eloquence eloquence moved this from Near Term Backlog to Current Sprint Backlog - 11/16-11/28 in SecureDrop Team Board Nov 16, 2018

@emkll emkll moved this from Current Sprint Backlog - 11/16-11/28 to In Development in SecureDrop Team Board Nov 19, 2018

@emkll emkll moved this from In Development to Ready for review in SecureDrop Team Board Nov 19, 2018

@emkll

This comment has been minimized.

Copy link
Contributor

emkll commented Nov 28, 2018

Closed via #3913

@emkll emkll closed this Nov 28, 2018

SecureDrop Team Board automation moved this from Ready for review to Done Nov 28, 2018

Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment